<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      H.Watanabe <hiroshi.watanabe@netnee.jp>
 * @access      public
 */
class Admin_Itemmanage_Iteminfochange_Done
{
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    
    var $title;
    var $pagename;
    var $div;
    
    var $db_item;
    
    var $itemcd;
    var $infocheck;
    var $iteminfo;
    
    var $upduser;
    
    //post
    var $maker_capi;
    var $makercd;
    var $labelcd;
    var $stock;
    var $src_title;
    
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Admin_Itemmanage_Iteminfochange_Doneが実行されました", "Admin_Itemmanage_Iteminfochange_Done#execute");
        
        if (empty($this->infocheck)){
            $this->nocheck = "no";
            return "error";
        }
        
        foreach($this->infocheck as $key => $value) { 
            $res = $this->db_item->updateItemInfo($this->itemcd[$key], $this->iteminfo[$key], $this->upduser);
            if (!res) return "error";
        }
        
        return 'success';
    }
}
?>
